{ pkgs, ... }:
{
  services.nginx.virtualHosts = {
    "bubblesort.clerie.de" = {
      enableACME = true;
      forceSSL = true;
      root = pkgs.fetchgit {
        url = "https://git.clerie.de/clerie/bubblesort_js.git";
        rev = "39d54701a11f4fb48d7e023e384a848e6bde5640";
        sha256 = "sha256-au/sbTVLDER0BbXD6cKJIpq0GcS/saiRQw46mZQWsO0=";
      };
    };
  };
}
