{ ... }:

{
  services.nginx.virtualHosts = {
    "www.bula22.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        return = "301 https://bula22.de$request_uri";
      };
    };
    "bula22.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        return = ''200 '
        <html>
          <head>
            <title>VCP Bundeslager 2022</title>
          </head>
          <body>
             <img src="https://p619357.mittwaldserver.info/webcam/current.jpg">
          </body>
        </html>'
        '';
        extraConfig = ''
          add_header Content-Type text/html;
        '';
      };
    };
  };
}
