{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "legal.clerie.de" = {
      enableACME = true;
      forceSSL = true;
      root = pkgs.fetchgit {
        url = "https://git.clerie.de/clerie/legal.clerie.de.git";
        rev = "c6900226e3107a2e370a32759d83db472ab5450d";
        sha256 = "sha256-lOjbHqYc/85rjotwQ5Oj+MSWnDIfLx2w5mpiJkChbXU=";
      };
      locations."/impressum" = {
        return = ''301 https://legal.clerie.de/#impressum'';
      };
      locations."/datenschutz" = {
        return = ''301 https://legal.clerie.de/#datenschutz'';
      };
    };
  };
}
