{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "prediger.riese.space" = {
      enableACME = true;
      forceSSL = true;
      root = pkgs.fetchgit {
        url = "https://git.clerie.de/clerie/prediger.riese.space.git";
        rev = "7f51e884ccf8a258838adb1d825bc51eeef2f475";
        sha256 = "sha256-tL+k9l0fX4dc971y4EWGM++BvjfnvRAtU/LvS2QYANU=";
      };
      locations."/map/" = {
        alias = pkgs.fetchgit {
          url = "https://git.clerie.de/quiribi/Prediger-workadventure.git";
          rev = "304850367aad275c3410005580313dac7fe24788";
          sha256 = "sha256-t6C7k5p6ZKfQedumTqxEmGYQqgaE3OiK5q41dDWnz/Y=";
        } + "/";
        extraConfig = ''
          add_header Access-Control-Allow-Origin *;
        '';
      };
    };
  };
}
