{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "tap.clerie.de" = {
      enableACME = true;
      forceSSL = true;
      root = pkgs.fetchgit {
        url = "https://git.clerie.de/clerie/tap.clerie.de.git";
        rev = "a90df6f6cb6dc58ab807b230527aae76c48cdcc8";
        sha256 = "sha256-GTUy98NHXvR7pG8lUWZm6wa0XjULnDTSu17C/DQuXBI=";
      };
    };
  };
}
