{ ... }:

{
  services.znc = {
    enable = true;
    mutable = true;
    dataDir = "/var/lib/znc";
    configFile = "/var/lib/znc/configs/znc.conf";
  };

  services.nginx.virtualHosts = {
    "znc.clerie.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:1313";
      };
    };
  };

  clerie.nginx-port-forward = {
    enable = true;
    tcpPorts."6697" = {
      host = "127.0.0.1";
      port = 1311;
      certName = "znc.clerie.de";
    };
  };
}
