{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "www.milchinsel.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        return = "301 https://milchinsel.de$request_uri";
      };
    };

    "milchinsel.de" = {
      enableACME = true;
      forceSSL = true;
      root = pkgs.fetchgit {
        url = "https://git.clerie.de/clerie/milchinsel.de.git";
        rev = "8ca6727902fb5a2581b56c4b3ab8d01585f3acb0";
        sha256 = "sha256-JYdEZDLLojsgWwfJYR1riBUhs73/mdlVSOeLUgnqNhg=";
      };
    };
  };
}
