{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "www.reichartstrasse.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        return = "301 https://reichartstrasse.de$request_uri";
      };
    };

    "reichartstrasse.de" = {
      enableACME = true;
      forceSSL = true;
      root = pkgs.fetchgit {
        url = "https://git.clerie.de/clerie/reichartstrasse.de.git";
        rev = "377e27d8a8d4b701fa7da072d3f3e68925c5f274";
        sha256 = "sha256-eOljD7TsSmE8LpNd/3kKAPBLvNVpED7FN9++srOALOU=";
      };
    };
  };
}
