{
  pkgs,
  buildPythonPackage,
  flask,
  python3,
}:

let
  src = pkgs.fetchgit {
    url = "https://git.clerie.de/clerie/iot-data.git";
    rev = "f60e3a3f89549b4ce88df20888c08a01062d086a";
    sha256 = "sha256-D8wusJfYbOkL/Nq6yfYBvhnkBmRcDktORicUpDsIrUE=";
  };
  pname = "iot-data";
  version = "0.0.1";


in buildPythonPackage rec {
  inherit src pname version;

  propagatedBuildInputs = [
    flask
  ];

  postInstall = ''
    mkdir -p $out/${python3.sitePackages}/iot_data
  '';

  doCheck = false;
}
